Create environment
POST
/api/v1/environments
const url = 'https://osctrl.net/api/v1/environments';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"hostname":"example","icon":"example","name":"example","type":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://osctrl.net/api/v1/environments \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "hostname": "example", "icon": "example", "name": "example", "type": "example" }'Creates an environment.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Request body
Media typeapplication/json
object
hostname
string
icon
string
name
string
type
string
Examplegenerated
{ "hostname": "example", "icon": "example", "name": "example", "type": "example"}Responses
Section titled “Responses”OK
Media typeapplication/json
object
accept_enrolls
boolean
atc
string
carver_block_path
string
carver_init_path
string
carves_tls
boolean
certificate
string
config_interval
integer
config_path
string
config_tls
boolean
configuration
string
created_at
string
deb_package
string
debug_http
boolean
decorators
string
enroll_expire
string
enroll_path
string
enroll_secret_path
string
flags
string
hostname
string
icon
string
id
integer
log_interval
integer
log_path
string
logging_tls
boolean
msi_package
string
name
string
options
string
packs
string
pkg_package
string
query_interval
integer
query_read_path
string
query_tls
boolean
query_write_path
string
remove_expire
string
remove_secret_path
string
rpm_package
string
schedule
string
secret
string
type
string
updated_at
string
user_id
integer
uuid
string
Examplegenerated
{ "accept_enrolls": true, "atc": "example", "carver_block_path": "example", "carver_init_path": "example", "carves_tls": true, "certificate": "example", "config_interval": 1, "config_path": "example", "config_tls": true, "configuration": "example", "created_at": "example", "deb_package": "example", "debug_http": true, "decorators": "example", "enroll_expire": "example", "enroll_path": "example", "enroll_secret_path": "example", "flags": "example", "hostname": "example", "icon": "example", "id": 1, "log_interval": 1, "log_path": "example", "logging_tls": true, "msi_package": "example", "name": "example", "options": "example", "packs": "example", "pkg_package": "example", "query_interval": 1, "query_read_path": "example", "query_tls": true, "query_write_path": "example", "remove_expire": "example", "remove_secret_path": "example", "rpm_package": "example", "schedule": "example", "secret": "example", "type": "example", "updated_at": "example", "user_id": 1, "uuid": "example"}Bad request
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Unauthorized
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Forbidden
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Not found
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Conflict
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Too many requests
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Internal server error
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Service unavailable
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}